/* libsegl - Sebas Extended GL Library
 *           Collection of Opengl/3D-Math helpers
 *
 *      Copyright (c) 2008 by Sebastian Lohff, seba@seba-geek.de
 *      http://www.seba-geek.de
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 */

#include "emath.h"

namespace segl {

// Trigonometrische Funktionen

float deg2rad(float deg) {
	return (deg/180.0f)*3.1415926535897932384626433f;
}

float rad2deg(float rad) {
	return (rad/3.1415926535897932384626433f)*180.0f;
}

float ssin(float c) {
	int t=(int)c;
	if(t!=c)
		return sin(deg2rad(c));
	t = t % 360;
	if(t<0)
		t = 360 + t;
	switch(t) {
		case 0:
			return 0.0f;
		case 90:
			return 1.0f;
		case 180:
			return 0.0f;
		case 270:
			return -1.0f;
		default:
			return sin(deg2rad(c));
	}
}

float scos(float c) {
	return ssin(c+90.0f);
}

} // namespace segl
