/* libsegl - Sebas Extended GL Library
 *           Collection of Opengl/3D-Math helpers
 *
 *      Copyright (c) 2008 by Sebastian Lohff, seba@seba-geek.de
 *      http://www.seba-geek.de
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 */

#include "gldrawhelper.h"

namespace segl {

void GLDrawSDLRect(SDL_Rect *rect, Rect *tex) {
	Rect tmptex;
	if(tex) {
		tmptex = *tex;
	} else {
		tmptex.set(0.0f, 0.0f, 1.0f, 1.0f);
	}
	
	glBegin(GL_QUADS);
		glTexCoord2f(tmptex.x, tmptex.y);
		glVertex2i(rect->x, rect->y+rect->h);
		
		glTexCoord2f(tmptex.x+tmptex.w, tmptex.y);
		glVertex2i(rect->x+rect->w, rect->y+rect->h);
		
		glTexCoord2f(tmptex.x+tmptex.w, tmptex.y+tmptex.h);
		glVertex2i(rect->x+rect->w, rect->y);
		
		glTexCoord2f(tmptex.x, tmptex.y+tmptex.h);
		glVertex2i(rect->x, rect->y);
	glEnd();
}

} // namespace segl
