#ifndef __GLGUITEXTLABEL_H
#define __GLGUITEXTLABEL_H

#include <iostream>
#include <string>
#include <SDL.h>
#include <SDL_opengl.h>

#include "object.h"
#include "../color.h"
#include "../glfontengine.h"

namespace segl {

class GLGuiTextLabel : public GLGuiObject{
	protected:
		GLFontEngine fontengine;
		std::string text;
		
		Color col;
		int x, y;
		bool center;
		int wrap;
	public:
		GLGuiTextLabel(int _x, int _y, bool _center=false, int _wrap=0);
		GLGuiTextLabel(std::string, int _x, int _y, bool _center=false, int _wrap=0);

		void setText(std::string str);
		void setColor(Color);
		void setPos(int _x, int _y);
		virtual void render();
};

} // namespace segl

#endif
