#ifndef __GLGUIWINDOW_H
#define __GLGUIWINDOW_H

#include <iostream>
#include <string>
#include <vector>
#include <SDL.h>
#include <SDL_opengl.h>

#include "../color.h"
#include "../gldrawhelper.h"
#include "object.h"

namespace segl {

class GLGuiWindow : public GLGuiObject {
	private:
		bool renderbackground;
		SDL_Rect pos;
		Color bgcolor;
		
		std::vector<GLGuiObject*> items;
		
		std::vector<GLGuiObject*> highlightable;
		std::vector<GLGuiObject*> clickable;
		std::vector<GLGuiObject*> keyboardable;
	public:
		GLGuiWindow(SDL_Rect _pos, Color _bgcolor);
		~GLGuiWindow();
		
		void addItem(GLGuiObject*);
		SDL_Rect getPos();
		void render();
};

} // namespace segl

#endif
