/* libsegl - Sebas Extended GL Library
 *           Collection of Opengl/3D-Math helpers
 *
 *      Copyright (c) 2008 by Sebastian Lohff, seba@seba-geek.de
 *      http://www.seba-geek.de
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 */

#ifndef __QUATERNION_H
#define __QUATERNION_H

#include <iostream>
#include <cmath>
#include <SDL_opengl.h>
// #include "rotationsmatrix.h"
#include "punkt3d.h"
#include "emath.h"

namespace segl {

class Quaternion {
	private:
		float x, y, z, w;
	
	public:
		Quaternion();
		Quaternion(float _x, float _y, float _z, float _w);
		Quaternion(float deg, Punkt3D p);
		Quaternion(float _x, float _y, float _z);
		
		void set(float rotx, float roty, float rotz);
		void set(float deg, Punkt3D axis);
		void normalize();
		Quaternion getConjugate();
// 		Rotationsmatrix getRotMat();
		Punkt3D rotP3D(const Punkt3D &p);
		
		Quaternion operator*(const Quaternion&);
};




// class Quaternion {
// 	private:
// 		float w;
// 		float x,y,z;
// 	public:
// 		Quaternion();
// 		void createFromRotation(float, float, float, float);
// 		
// 
// 		void createGlMatrix(GLfloat*);
// 		Punkt3D getDirectionVector();
// 		Punkt3D getDirectionVector(GLfloat*);
// 		
// 		Quaternion operator*(const Quaternion&);
// 		
// 
// };
// 
// void glMultMatrixf(Quaternion);

} // namespace segl

#endif
