/* libsegl - Sebas Extended GL Library
 *           Collection of Opengl/3D-Math helpers
 *
 *      Copyright (c) 2008 by Sebastian Lohff, seba@seba-geek.de
 *      http://www.seba-geek.de
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 */

#ifndef __ROTATIONSMATRIX_H
#define __ROTATIONSMATRIX_H

#include <cmath>
#include "punkt3d.h"
#include "emath.h"
#include "matrix.h"

namespace segl {

enum axis { x_axis=0, y_axis, z_axis };

class Rotationsmatrix : public Matrix {
	private:
		float deg;
		Punkt3D rotvec;
		
		void initRot();
	public:
		Rotationsmatrix();
		Rotationsmatrix(axis, float);
		Rotationsmatrix(Punkt3D, float);
		~Rotationsmatrix();
		
		void set(float);
		void set(axis, float);
		void set(Punkt3D, float);
		
		Punkt3D operator*(const Punkt3D&);
		Rotationsmatrix operator*(const Rotationsmatrix&);
};

} // namespace segl

#endif
